<virtualhost *:443>
        ServerName {{ code_domain }}
        
        ErrorLog /var/log/apache2/collabora-error.log
        LogLevel warn
        CustomLog /var/log/apache2/collabora-access.log combined
        ServerSignature On

        #SSL-Certs
        SSLEngine on
        SSLCertificateFile /etc/letsencrypt/live/{{ code_domain }}/cert.pem
        SSLCertificateKeyFile /etc/letsencrypt/live/{{ code_domain }}/privkey.pem
        SSLCertificateChainFile /etc/letsencrypt/live/{{ code_domain }}/fullchain.pem

        #SSL-Protokolle und CipherSuite
        SSLProtocol All -SSLv2 -SSLv3
        SSLHonorCipherOrder On
        # Ohne 3DES werden Browser unter Windows XP ausgeschlossen
        SSLCipherSuite 'EECDH+ECDSA+AESGCM:EECDH+aRSA+AESGCM:EECDH+ECDSA:EECDH:EDH+AESGCM:EDH:ECDH+AESGCM:ECDH+AES:ECDH:HIGH:MEDIUM:!RC4:!3DES:!CAMELLIA:!SEED:!aNULL:!MD5:!eNULL:!LOW:!EXP:!DSS:!PSK:!SRP'
        SSLCompression Off


        ########################################
        # Reverse proxy for Collabora Online
        #
        ########################################


        AllowEncodedSlashes NoDecode
        ProxyPreserveHost On


        # static html, js, images, etc. served from coolwsd
        # browser is the client part of Collabora Online
        ProxyPass           /browser http://127.0.0.1:9980/browser retry=0
        ProxyPassReverse    /browser http://127.0.0.1:9980/browser


        # WOPI discovery URL
        ProxyPass           /hosting/discovery http://127.0.0.1:9980/hosting/discovery retry=0
        ProxyPassReverse    /hosting/discovery http://127.0.0.1:9980/hosting/discovery


        # Capabilities
        ProxyPass           /hosting/capabilities http://127.0.0.1:9980/hosting/capabilities retry=0
        ProxyPassReverse    /hosting/capabilities http://127.0.0.1:9980/hosting/capabilities


        # Main websocket
        ProxyPassMatch      "/cool/(.*)/ws$"      ws://127.0.0.1:9980/cool/$1/ws nocanon


        # Admin Console websocket
        ProxyPass           /cool/adminws ws://127.0.0.1:9980/cool/adminws


        # Download as, Fullscreen presentation and Image upload operations
        ProxyPass           /cool http://127.0.0.1:9980/cool
        ProxyPassReverse    /cool http://127.0.0.1:9980/cool
        # Compatibility with integrations that use the /lool/convert-to endpoint
        ProxyPass           /lool http://127.0.0.1:9980/cool
        ProxyPassReverse    /lool http://127.0.0.1:9980/cool


</virtualhost>